curl --request GET \
--url https://api.magnific.com/v1/icons \
--header 'x-magnific-api-key: <api-key>'import requests
url = "https://api.magnific.com/v1/icons"
headers = {"x-magnific-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-magnific-api-key': '<api-key>'}};
fetch('https://api.magnific.com/v1/icons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"free_svg": true,
"created": "2023-03-07T23:05:26.000Z",
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"style": {
"name": "Meticulous Yellow shadow",
"id": 50
},
"id": 52912,
"family": {
"total": 1200,
"name": "Outline",
"id": 1
},
"thumbnails": [
{
"width": 512,
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"height": 512
},
{
"width": 512,
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"height": 512
}
],
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"tags": [
{
"name": "Dog",
"slug": "dog"
},
{
"name": "Dog",
"slug": "dog"
}
]
},
{
"free_svg": true,
"created": "2023-03-07T23:05:26.000Z",
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "a woman reads a book in a tablet sits in the luxurious back of the library",
"style": {
"name": "Meticulous Yellow shadow",
"id": 50
},
"id": 52912,
"family": {
"total": 1200,
"name": "Outline",
"id": 1
},
"thumbnails": [
{
"width": 512,
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"height": 512
},
{
"width": 512,
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61a866e2519c71.61070863_large.png",
"height": 512
}
],
"slug": "a-woman-reads-a-book-in-a-tablet-sits-in-the-luxurious-back-of-the-library",
"tags": [
{
"name": "Dog",
"slug": "dog"
},
{
"name": "Dog",
"slug": "dog"
}
]
}
],
"meta": {
"pagination": {
"per_page": 1,
"total": 1,
"last_page": 1,
"current_page": 1
}
}
}Search and filter icons by specified order
Get a list of icons based on the provided parameters and ordering criteria.
Authorizations
Your Magnific API key. Required for authentication. Learn how to obtain an API key
Headers
Specifies the search query language using the ISO 639-1 (2-letter language code) and the ISO 3166-1 (2-letter country code) for language variants. The API will use "en-US" as a default language for processing if a code is not provided, or does not exist.
Query Parameters
Search term. If only term comes, it is searched for term, if only slug comes, it is searched for slug and if both come, it is searched for slug
Search by slug
Page number. It must be greater than 0.
Results per page. It must be greater than 0.
Icon family id.
x >= 1Define order of results.
- Note: If the term or slug parameter is used, the order will be the similarity of the search.
relevance, recent Size of the thumbnail. If the size is not specified, the API will return 128 as a default size.
Filter parameters for icons
Show child attributes
Show child attributes
Was this page helpful?